/**
 *
 * Klasse Karte
 *
 * @version 1.0 vom 01.03.2024
 * @AAK 
 */
public class Karte {
  // Anfang Attribute
  private String farbe;
  private int wert;
  // Ende Attribute
  
  /** Konstruktor
   * @param pFarbe Farbe einer Karte
   * @param pWert Wert einer Karte
   */
  public Karte(String pFarbe, int pWert) {
    this.farbe = pFarbe;
    this.wert = pWert;
  }
  
  // Anfang Methoden
  /** gibt farbe zurueck
  * @return farbe 
  */
  public String getFarbe() {
    return farbe;
  }

  /** gibt farbe zurueck
  * @return farbe 
  */
  public int getWert() {
    return wert;
  }
  
  /** setzt farbe
  * @param pFarbe Farbe
  */
  public void setFarbe(String pFarbe) {
      this.farbe = pFarbe;
  }

  /** setzt wert
  * @param pWert Wert
  */
  public void setWert(int pWert) {
      this.wert = pWert;
   }
}